dnl Process this file with autoconf to produce a configure script.

dnl Display CFLAGS tip
AC_INIT(tip.txt)

cat tip.txt

AM_INIT_AUTOMAKE(lexstats, 2.0)
AM_CONFIG_HEADER(config.h)

AC_ISC_POSIX
AC_PROG_CC
AM_PROG_CC_STDC
AC_HEADER_STDC

dnl Use -Wall if we have gcc.
changequote(,)dnl
if test "x$GCC" = "xyes"; then
  case " $CFLAGS " in
  *[\ \	]-Wall[\ \	]*) ;;
  *) CFLAGS="$CFLAGS -Wall" ;;
  esac
fi
changequote([,])dnl


dnl Check for math library
AC_CHECK_LIB(m, sin)
if test $ac_cv_lib_m_sin = no; then
     AC_ERROR(Could not find the required math library!)
fi

AC_OUTPUT([
Makefile
src/Makefile
])

